OpenVDB 11.0.0

Loading...
Searching...
No Matches
Functions
detail Namespace Reference

## Functions
const ogt_vox_scene * | load_vox_scene (const char *filename, uint32_t scene_read_flags=0)
nanovdb::Vec4f | matMult4x4 (const float *mat, const nanovdb::Vec4f &rhs)
ogt_vox_transform | matMult4x4 (const float *m, const float *n)
ogt_vox_transform | getXform (const ogt_vox_scene &scene, const ogt_vox_instance &instance)
bool | isVisible (const ogt_vox_scene &scene, const ogt_vox_instance &instance)

## Function Documentation

## ◆ getXform()

ogt_vox_transform getXform | ( | const ogt_vox_scene & | scene,
|  | const ogt_vox_instance & | instance
| ) |  |

## ◆ isVisible()

bool isVisible | ( | const ogt_vox_scene & | scene,
|  | const ogt_vox_instance & | instance
| ) |  |

## ◆ load_vox_scene()

const ogt_vox_scene * load_vox_scene | ( | const char * | filename,
|  | uint32_t | scene_read_flags = `0`
| ) |  |
| inline

## ◆ matMult4x4() [1/2]

ogt_vox_transform matMult4x4 | ( | const float * | m,
|  | const float * | n
| ) |  |
| inline

## ◆ matMult4x4() [2/2]

nanovdb::Vec4f matMult4x4 | ( | const float * | mat,
|  | const nanovdb::Vec4f & | rhs
| ) |  |
| inline